﻿Namespace My

    ' 次のイベントは MyApplication に対して利用できます:
    ' 
    ' Startup: アプリケーションが開始されたとき、スタートアップ フォームが作成される前に発生します。
    ' Shutdown: アプリケーション フォームがすべて閉じられた後に発生します。このイベントは、通常の終了以外の方法でアプリケーションが終了されたときには発生しません。
    ' UnhandledException: ハンドルされていない例外がアプリケーションで発生したときに発生するイベントです。
    ' StartupNextInstance: 単一インスタンス アプリケーションが起動され、それが既にアクティブであるときに発生します。 
    ' NetworkAvailabilityChanged: ネットワーク接続が接続されたとき、または切断されたときに発生します。
    Partial Friend Class MyApplication

        Private Sub MyApplication_StartupNextInstance(sender As Object, e As Microsoft.VisualBasic.ApplicationServices.StartupNextInstanceEventArgs) Handles Me.StartupNextInstance

            '=== 二重起動対応 ===
            With DirectCast(OpenForms("FormMain"), FormMain) '[FormMain]にアクセスするには、この方法でいいのかなぁ？ 直接"FormMain"と書くのもなんだかなぁって感じやし・・・。まぁ、これでできてるし良いかっ。

                .ntfTrayIcon.ShowBalloonTip(10000, "動作中", "ここから、使えます。", ToolTipIcon.Info)
                MessageBox.Show("『" & .ntfTrayIcon.Text & "』は、すでに起動済みです。", System.IO.Path.GetFileName(System.Windows.Forms.Application.ExecutablePath), MessageBoxButtons.OK, MessageBoxIcon.Exclamation)

            End With

            e.BringToForeground = False '特にアクティブにする意味もないので。

        End Sub

    End Class

End Namespace

